summaryrefslogtreecommitdiff
path: root/makeinfo/tests/quote-args
diff options
context:
space:
mode:
Diffstat (limited to 'makeinfo/tests/quote-args')
-rwxr-xr-xmakeinfo/tests/quote-args19
1 files changed, 19 insertions, 0 deletions
diff --git a/makeinfo/tests/quote-args b/makeinfo/tests/quote-args
new file mode 100755
index 0000000..6940c0c
--- /dev/null
+++ b/makeinfo/tests/quote-args
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Test @quote-args facility.
+
+: ${srcdir=.}
+
+unset TEXINFO_OUTPUT
+TMP=quote-args.out
+
+cat > quote-args.samp <<EOT
+*FIXME: Many arguments, separated by commas, are processed here*
+natopocotuototam
+
+EOT
+
+../makeinfo --plaintex $srcdir/quote-args.txi | diff - quote-args.samp
+exit_code=$?
+
+rm quote-args.samp
+exit $exit_code